<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <title>Chỉnh sửa thông tin khóa học</title>
  <link
      href="https://res.cloudinary.com/dralhpdiv/image/upload/v1646628563/favicon.png"
      rel="shortcut icon"
      type="image/png"/>

  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <link crossorigin="anonymous"
        href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css"
        integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6"
        rel="stylesheet">
  <script crossorigin="anonymous"
          integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf"
          src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js"></script>
  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
        rel="stylesheet"/>
  <link href="/static/AdminCourseUpdate.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div class="d-flex" id="container">
  <div class="d-flex flex-column p-3 text-white bg-dark" id="sidebarMenuLeft">
    <a class="d-flex mb-3 mb-md-0 me-md-auto text-white text-decoration-none"
       href="/collaborator/home-statistic"
       style="margin: 0 auto">
      <img
          alt=""
          src="https://res.cloudinary.com/dralhpdiv/image/upload/v1646629370/logo_ACT.png"
          style="height: 5rem; object-fit: contain"/>
    </a>
    <hr>
    <ul class="nav nav-pills flex-column mb-auto">
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/home-statistic">
          <i aria-hidden="true" class="fa fa-home"></i> &nbsp Trang chủ
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/admin-info">
          <i aria-hidden="true" class="fa fa-info-circle"></i> &nbsp Thông tin quản lý
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/media-component">
          <i aria-hidden="true" class="fa fa-video-camera"></i> &nbsp Cài đặt media
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/collaborator-management/page/1">
          <i aria-hidden="true" class="fa fa-user-circle-o"></i> &nbsp Quản lý cộng tác viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/user-management/page/1">
          <i aria-hidden="true" class="fa fa-user"></i> &nbsp&nbsp Quản lý học viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/course-management/page/1">
          <i aria-hidden="true" class="fa fa-book"></i> &nbsp Quản lý khóa học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/class-management/page/1">
          <i aria-hidden="true" class="fa fa-users"></i> &nbsp Quản lý lớp học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/news-management/page/1">
          <i aria-hidden="true" class="fa fa-newspaper-o"></i> &nbsp Quản lý tin tức
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/job-management/page/1">
          <i aria-hidden="true" class="fa fa-briefcase"></i> &nbsp Quản lý tuyển dụng
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/">
          <i aria-hidden="true" class="fa fa-arrow-circle-o-left"></i> &nbsp Quay về trang web
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/logout">
          <i aria-hidden="true" class="fa fa-sign-out"></i> &nbsp Đăng xuất
        </a>
      </li>
    </ul>
    <hr>
  </div>

  <div class="flex-md-fill" id="content">
    <div class="d-flex justify-content-sm-between align-items-center" id="userInfo">
      <div class="d-flex justify-content-center align-items-center">
        <h5 style="margin: 0">Xin chào</h5> &nbsp;&nbsp; <img alt="" id="userImg"
                                                              th:src="${admin.img}"/>
        &nbsp;&nbsp; <h5 style="margin: 0" th:text="${admin.name} + ' - ' + ${admin.role}"></h5>
      </div>
      <h5 class="clock" id="MyClockDisplay" onload="showTime()" style="margin: 0"></h5>
    </div>
    <form enctype="multipart/form-data" id="inputCourse" method="post"
          th:action="@{/manager/update-course/{id} (id = ${courseId})}"
          th:object="${course}">
      <div style="margin-bottom: 18px">
        <h5 id="titleCourse">Chỉnh sửa thông tin khóa học</h5>
      </div>
      <div id="generalInformation">
        <hr>
        <h5 style="font-weight: bold"><i aria-hidden="true" class="fa fa-pencil"></i> &nbsp; Thông
          tin chung:</h5>
        <hr>
        <div class="row" style="font-size: 18px">
          <div class="col-md-5 d-flex flex-column justify-content-center align-items-center">
            <div id="img-preview">
              <img alt="" th:src="${course.img}"/>
            </div>
            <input accept="image/*" id="choose-file" name="choose-file" th:field="*{file}"
                   type="file"/>
            <label for="choose-file">Chọn ảnh</label>
          </div>
          <div class="col-md-7">
            <div class="mb-3 row">
              <label class="col-sm-3 col-form-label" for="courseName" style="font-weight: bold">Tên
                khóa học</label>
              <div class="col-sm-6">
                <input class="form-control" id="courseName" th:field="*{name}" type="text">
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-3 col-form-label" for="coursePrice" style="font-weight: bold">Học
                phí</label>
              <div class="col-sm-2 d-flex">
                <input class="form-control" id="coursePrice" placeholder="vd: 2.5"
                       th:field="*{price}"
                       type="text">
              </div>
              <div class="col-sm-1 d-flex justify-content-center align-items-center"> triệu</div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-3 col-form-label" for="courseHour" style="font-weight: bold">Thời
                lượng</label>
              <div class="col-sm-2">
                <input class="form-control" id="courseHour" placeholder="vd: 45"
                       th:field="*{totalHourStudy}"
                       type="text">
              </div>
              <div class="col-sm-1 d-flex justify-content-center align-items-center"> giờ</div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-3 col-form-label" style="font-weight: bold">Phân
                loại</label>
              <div class="col-sm-3">
                <select class="form-control" id="date" name="course" th:field="*{type}">
                  <option th:value="Programming">Lập trình</option>
                  <option th:value="Network">Mạng</option>
                </select>
              </div>
            </div>
            <div class="mb-3">
              <label class="form-label" for="courseDesc" style="font-weight: bold">Mô tả</label>
              <textarea class="form-control" id="courseDesc" rows="3" style="resize: none"
                        th:field="*{desc}"></textarea>
            </div>
          </div>
        </div>
      </div>
      <div id="contentCourse">
        <hr>
        <h5 style="font-weight: bold"><i aria-hidden="true" class="fa fa-book"></i> &nbsp; Thông tin
          chi tiết:</h5>
        <hr>
        <textarea class="form-control" id="courseContent" th:field="*{content}"></textarea>
      </div>
      <div style="margin-top: 1rem; display: flex">
        <button class="btn btn-primary" style="margin: auto; padding: 10px 30px; font-size: 18px"
                type="reset">Nhập lại
        </button>
        <button class="btn btn-primary" onclick="submitForm()"
                style="margin: auto; padding: 10px 30px; font-size: 18px" type="submit">Xác nhận
        </button>
      </div>
    </form>
    <div id="footer">
      Copyright © ACTACAD 2021. All Rights Reserved
    </div>
  </div>
</div>
<script crossorigin="anonymous"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script
    referrerpolicy="origin"
    src="https://cdn.tiny.cloud/1/e2wedt2tvkp3ua3z06h11jkaw8beqirx03trciocxlnsjsmh/tinymce/5/tinymce.min.js">
</script>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
  const chooseFile = document.getElementById("choose-file");
  const imgPreview = document.getElementById("img-preview");

  chooseFile.addEventListener("change", function () {
    getImgData();
  });

  function getImgData() {
    const files = chooseFile.files[0];
    if (files) {
      const fileReader = new FileReader();
      fileReader.readAsDataURL(files);
      fileReader.addEventListener("load", function () {
        imgPreview.style.display = "block";
        imgPreview.innerHTML = '<img src="' + this.result + '"  alt=""/>';
      });
    }
  }

  var useDarkMode = window.matchMedia('(prefers-color-scheme: dark)').matches;
  tinymce.init({
    selector: '#courseContent',
    plugins: 'preview paste importcss searchreplace autolink autosave save directionality code visualblocks visualchars fullscreen image link media codesample table charmap hr pagebreak nonbreaking anchor toc insertdatetime advlist lists wordcount imagetools textpattern noneditable help charmap quickbars emoticons',
    imagetools_cors_hosts: ['picsum.photos'],
    menubar: 'file edit view insert format tools table help',
    toolbar: 'undo redo | bold italic underline strikethrough | fontselect fontsizeselect formatselect | alignleft aligncenter alignright alignjustify | outdent indent |  numlist bullist | forecolor backcolor removeformat | pagebreak | charmap emoticons | fullscreen  preview save print | insertfile image media template link anchor codesample | ltr rtl',
    toolbar_sticky: true,
    autosave_ask_before_unload: true,
    autosave_interval: '30s',
    autosave_prefix: '{path}{query}-{id}-',
    autosave_restore_when_empty: false,
    autosave_retention: '2m',
    image_advtab: true,
    importcss_append: true,
    file_picker_callback: function (callback, value, meta) {
      if (meta.filetype === 'file') {
        callback('https://www.google.com/logos/google.jpg', {text: 'My text'});
      }
      if (meta.filetype === 'image') {
        callback('https://www.google.com/logos/google.jpg', {alt: 'My alt text'});
      }
      if (meta.filetype === 'media') {
        callback('movie.mp4',
            {source2: 'alt.ogg', poster: 'https://www.google.com/logos/google.jpg'});
      }
    },
    template_cdate_format: '[Date Created (CDATE): %m/%d/%Y : %H:%M:%S]',
    template_mdate_format: '[Date Modified (MDATE): %m/%d/%Y : %H:%M:%S]',
    height: 600,
    image_caption: true,
    quickbars_selection_toolbar: 'bold italic | quicklink h2 h3 blockquote quickimage quicktable',
    noneditable_noneditable_class: 'mceNonEditable',
    toolbar_mode: 'sliding',
    contextmenu: 'link image imagetools table',
    skin: useDarkMode ? 'oxide-dark' : 'oxide',
    content_css: useDarkMode ? 'dark' : 'default',
    content_style: 'body { font-family: Roboto,sans-serif; font-size:14px; }'
  });

  function isEmpty(string) {
    return string === "";
  }

  function submitForm() {
    $("#pushContent").val(contentCourse.getData());
    if (isEmpty($("#courseName").val()) || isEmpty($("#coursePrice").val()) || isEmpty(
        $("#courseHour").val()) || isEmpty($("#courseType").val()) || isEmpty(
        $("#courseDesc").val()) || isEmpty(contentCourse.getData())) {
      event.preventDefault();
      Swal.fire({
        icon: 'error',
        title: 'Oops...',
        html: '<p style="font-family: Roboto, sans-serif">Thông tin bạn nhập không hợp lệ !</p>'
            + '<span style="font-family: Roboto, sans-serif">Xin hãy kiểm tra kĩ lại thông tin bạn nhập</span>',
        showConfirmButton: false,
        showCloseButton: true
      });
    }
  }
</script>
</body>
</html>
